import { ethers } from "ethers";
import { FxToken } from "../types/fxTokens";
import { SingleCollateralVault, SingleCollateralVaultData } from "../types/vaults";
export default class VaultController {
    private currentVault;
    private fxToken;
    vault: SingleCollateralVault;
    constructor(currentVault: SingleCollateralVaultData, fxToken: FxToken);
    setDebt: (debt: ethers.BigNumber) => void;
    addDebt: (amount: ethers.BigNumber) => void;
    removeDebt: (amount: ethers.BigNumber) => void;
    setCollateralAmount: (amount: ethers.BigNumber) => void;
    addCollateral: (amount: ethers.BigNumber) => void;
    removeCollateral: (amount: ethers.BigNumber) => void;
    resetCollateral: () => void;
}
