import { ethers } from "ethers";
import { Collateral, FxToken, ProtocolParameters } from "..";
import { CollateralSymbol } from "../types/collaterals";
import { Vault, VaultData } from "../types/vaults";
export default class VaultController {
    private currentVault;
    private protocolParameters;
    private fxToken;
    private collaterals;
    vault: Vault;
    constructor(currentVault: VaultData, protocolParameters: ProtocolParameters, fxToken: FxToken, collaterals: Collateral[]);
    setDebt: (debt: ethers.BigNumber) => void;
    addDebt: (amount: ethers.BigNumber) => void;
    removeDebt: (amount: ethers.BigNumber) => void;
    private setCollateral;
    addCollateral: (symbol: CollateralSymbol, amount: ethers.BigNumber) => void;
    removeCollateral: (symbol: CollateralSymbol, amount: ethers.BigNumber) => void;
    resetCollateral: () => void;
    private getCollateral;
}
