import { ethers } from "ethers";
import { ConvertQuoteRouteArgs, ConvertTransactionRouteArgs, RawQuote } from "../";
import { WeightInput } from "./weights";
declare const _default: {
    weight: (input: WeightInput) => Promise<0 | 100>;
    quote: (input: ConvertQuoteRouteArgs) => Promise<RawQuote>;
    transaction: ({ network, signer, fromToken, toToken, receivingAccount: connectedAccount, sellAmount, minOut, slippage, referrer, gasPrice, }: ConvertTransactionRouteArgs) => Promise<ethers.PopulatedTransaction>;
};
export default _default;
