import { ethers } from "ethers";
import { ConvertQuoteRouteArgs, ConvertTransactionRouteArgs, RawQuote } from "../";
import { WeightInput } from "./weights";
export declare const psmWeight: (input: WeightInput) => Promise<0 | 100>;
export declare const psmQuoteHandler: (input: ConvertQuoteRouteArgs) => Promise<RawQuote>;
export declare const psmTransactionHandler: (input: ConvertTransactionRouteArgs) => Promise<ethers.PopulatedTransaction>;
declare const _default: {
    weight: (input: WeightInput) => Promise<0 | 100>;
    quote: (input: ConvertQuoteRouteArgs) => Promise<RawQuote>;
    transaction: (input: ConvertTransactionRouteArgs) => Promise<ethers.PopulatedTransaction>;
};
export default _default;
