import { ConvertQuoteRouteArgs, ConvertTransactionRouteArgs, RawQuote } from "../";
import { WeightInput } from "./weights";
import { ethers } from "ethers";
declare const _default: {
    weight: (input: WeightInput) => Promise<number>;
    quote: (input: ConvertQuoteRouteArgs) => Promise<RawQuote>;
    transaction: (input: ConvertTransactionRouteArgs) => Promise<ethers.PopulatedTransaction>;
};
export default _default;
