import { ethers } from "ethers";
import { Network, TokenInfo } from "../../..";
export declare const PSM_WEIGHT = 100;
export declare const PARASWAP_WEIGHT = 5;
export declare const HLP_ADD_REMOVE_WEIGHT = 100;
export declare const HLP_SWAP_WEIGHT = 110;
export declare const WETH_WEIGHT = 200;
export declare const PSM_TO_HLP = 100;
export declare const PSM_TO_HLP_TO_CURVE = 100;
export declare const HLP_TO_CURVE = 100;
export declare const CURVE_SELL_HLP = 110;
export declare const CURVE_BUY_HLP = 90;
export declare const HLP_TO_BALANCER = 80;
export declare const BALANCER_TO_HLP = 80;
export declare const HPSM_TO_HLP_TO_BALANCER = 100;
export declare const BALANCER_TO_CURVE = 100;
export type WeightInput = {
    fromToken: TokenInfo;
    toToken: TokenInfo;
    provider: ethers.providers.Provider;
    network: Network;
};
