import FxTokenGraphClient, { IndexedFxToken } from "./clients/FxTokenGraphClient";
import VaultGraphClient, { IndexedVault } from "./clients/VaultGraphClient";
import FxKeeperPoolGraphClient, { IndexedFxKeeperPool } from "./clients/FxKeeperPoolGraphClient";
import CollateralGraphClient, { IndexedCollateral } from "./clients/CollateralGraphClient";
export default class Graph {
    fxTokens: FxTokenGraphClient;
    vaults: VaultGraphClient;
    fxKeeperPools: FxKeeperPoolGraphClient;
    collateralGraphClient: CollateralGraphClient;
    constructor(endpoint?: string);
}
export type { IndexedFxToken, IndexedVault, IndexedFxKeeperPool, IndexedCollateral, };
