import { bnToNumber } from "../../../utils/general";
const REWARD_SYMBOL = "FOREX";
export const getRewards = (rewardPool) => {
    if (!rewardPool.account) {
        return [];
    }
    return [
        {
            symbol: REWARD_SYMBOL,
            amount: bnToNumber(rewardPool.account.claimableRewards, 18),
        },
    ];
};
