import { MarketPrice, Trade } from "./legacyInterface";
import { Pair } from "../../../types/trade";
export type IgnorePlatformPair = {
    platformName: string;
    pair: Pair;
};
type GetCombinedPlatformPriceArgs = {
    pair: Pair;
    platform?: string;
};
export type CombinedPlatform = Omit<Trade, "getPrice"> & {
    getPrice: (args: GetCombinedPlatformPriceArgs) => MarketPrice;
};
export declare const createCombinedPlatform: (platforms: Trade[], ignorePlatformPairs?: IgnorePlatformPair[]) => Promise<CombinedPlatform>;
export {};
