import { BigNumber, BytesLike } from "ethers";
import { PositionId, PositionInternal } from "../../../legacyInterface";
import { TokenInfoGlp } from "../tokens";
export type PositionGlpInternals = {
    contractKey: BytesLike;
    entryFundingRate: BigNumber;
    cumulativeFundingRate: BigNumber;
};
export type PositionGlp = PositionInternal<PositionGlpInternals>;
export declare const getAllPositionIds: (tradableTokens: TokenInfoGlp[], stableTokens: TokenInfoGlp[]) => Array<PositionId & {
    collateralToken: TokenInfoGlp;
    indexToken: TokenInfoGlp;
}>;
