import { BigNumber } from "ethers";
import { Network } from "../../../../../types/network";
export type TokenFundingRate = {
    regular: BigNumber;
    cumulative: BigNumber;
};
export type TokenFundingRates = Record<string, TokenFundingRate | undefined>;
export type GetHlpTokenSpreadBasisPointsArgs = {
    network: Network;
    useCache?: boolean;
};
export declare const getAllTokenFundingRates: (args?: GetHlpTokenSpreadBasisPointsArgs) => Promise<TokenFundingRates>;
