import { BigNumber } from "ethers";
import { HlpConfig } from "../config";
export declare const getHlpFeeBasisPoints: (args: {
    token: string;
    usdHlpDelta: BigNumber;
    isBuy: boolean;
    usdHlpSupply: BigNumber;
    totalTokenWeights: BigNumber;
    targetUsdHlpAmount: BigNumber;
    config: Pick<HlpConfig, "mintBurnFeeBasisPoints" | "taxBasisPoints">;
}) => BigNumber;
