import { BigNumber } from "ethers";
import { getFeeBasisPoints } from "./getFeeBasisPoints";
export const getHlpFeeBasisPoints = (args) => getFeeBasisPoints({
    ...args,
    feeBasisPoints: BigNumber.from(args.config.mintBurnFeeBasisPoints),
    taxBasisPoints: BigNumber.from(args.config.taxBasisPoints),
    increment: args.isBuy,
});
