import { getSwapFeeBasisPoints, } from "./getSwapFeeBasisPoints";
import { BASIS_POINTS_DIVISOR } from "../../../../../constants";
export const getSwapFee = (args, network = "arbitrum") => {
    const swapBasisPoints = getSwapFeeBasisPoints(args, network);
    return args.amountIn.mul(swapBasisPoints).div(BASIS_POINTS_DIVISOR);
};
