import { BigNumber } from "ethers";
import { HlpToken } from "./tokens";
export declare const getTokenTargetUsdHlpAmount: (tokenAddress: string) => Promise<BigNumber>;
export declare const getAllTokenTargetUsdHlpAmounts: () => Promise<Record<string, BigNumber>>;
export declare const getTokenTargetUsdHlpAmountSync: (tokenAddress: string, tokens: HlpToken[], usdHlpTotalSupply: BigNumber) => BigNumber;
