import { TokenInfo } from "@uniswap/token-lists";
import { Network } from "../../../../../../types/network";
type ParsedPositionTokens = {
    collateralToken: TokenInfo;
    indexToken: TokenInfo;
    isCollateralNative: boolean;
    parsedCollateralAddress: string;
    isIndexNative: boolean;
    parsedIndexAddress: string;
};
export declare const getParsedPositionTokens: (collateralAddress: string, indexAddress: string, network: Network) => ParsedPositionTokens;
export {};
