import { Network } from "../../../../../..";
/**
 * Gets all viable combinations of collateral tokens, index tokens
 * and whether the position is long or short
 * @param network the network from which to fetch the list
 * @returns an object with the list of collateral tokens, index tokens,
 * and whether or not the position is long
 */
export declare const getPositionTokenList: (network: Network) => {
    collateralTokens: string[];
    indexTokens: string[];
    isLong: boolean[];
};
