import { GetTradeHistoryArgs, TradeAction } from "../../../legacyInterface";
export type GqlResponse = {
    id: string;
    key: string;
    account: string;
    collateralToken: string;
    indexToken: string;
    collateralDelta: string;
    sizeDelta: string;
    isLong: boolean;
    price: string;
    timestamp: number;
};
export type LiquidationGqlResponse = {
    id: string;
    key: string;
    account: string;
    collateralToken: string;
    indexToken: string;
    isLong: boolean;
    markPrice: string;
    timestamp: number;
    size: string;
    collateral: string;
};
export declare const getTradeHistory: ({ account, limit, page, }: GetTradeHistoryArgs) => Promise<TradeAction[]>;
