import { PopulatedTransaction } from "ethers";
import { ApproveIncreasePositionArgs } from "../platforms/legacyInterface";
type OrderBook = {
    address: string;
};
type Router = {
    approvedPlugins: (arg1: string, arg2: string) => Promise<boolean>;
    populateTransaction: {
        approvePlugin: (arg1: string) => Promise<PopulatedTransaction>;
    };
    address: string;
};
export declare const approveCreateIncreasePositionOrder: (args: ApproveIncreasePositionArgs, { orderBook, router }: {
    orderBook: OrderBook;
    router: Router;
}) => Promise<PopulatedTransaction[]>;
export {};
