import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { ArbBridgedErc20, ArbBridgedErc20Interface } from "../ArbBridgedErc20";
export declare class ArbBridgedErc20__factory {
    static readonly abi: ({
        anonymous: boolean;
        inputs: {
            indexed: boolean;
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
        outputs?: undefined;
        stateMutability?: undefined;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
        anonymous?: undefined;
    })[];
    static createInterface(): ArbBridgedErc20Interface;
    static connect(address: string, signerOrProvider: Signer | Provider): ArbBridgedErc20;
}
