import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { GlpReader, GlpReaderInterface } from "../GlpReader";
export declare class GlpReader__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): GlpReaderInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): GlpReader;
}
