import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { GlpVaultReader, GlpVaultReaderInterface } from "../GlpVaultReader";
export declare class GlpVaultReader__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): GlpVaultReaderInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): GlpVaultReader;
}
