import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { RouterBalancerCurve, RouterBalancerCurveInterface } from "../RouterBalancerCurve";
export declare class RouterBalancerCurve__factory {
    static readonly abi: ({
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
        name?: undefined;
        outputs?: undefined;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: never[];
        stateMutability: string;
        type: string;
    })[];
    static createInterface(): RouterBalancerCurveInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): RouterBalancerCurve;
}
