import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { VaultUtils, VaultUtilsInterface } from "../VaultUtils";
export declare class VaultUtils__factory {
    static readonly abi: ({
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
        name?: undefined;
        outputs?: undefined;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    })[];
    static createInterface(): VaultUtilsInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): VaultUtils;
}
