import { BigNumber, BigNumberish, ethers } from "ethers";
import { Network } from "../types/network";
export declare const FEES_TO_LIQUIDITY_PROVIDERS = 0.8;
export declare const calculateUserApr: (userBoost: number, averagePoolBoost: number, poolApr: number) => number;
export declare const fetchHlpVaultFeeApr: (network: Network, overrideAumInUsdg?: BigNumber, sampleDays?: number) => Promise<number>;
export declare const fetchUserBoost: (user: string, poolId: BigNumberish, provider: ethers.providers.Provider, network: Network) => Promise<number | undefined>;
