import { Network } from "../types/network";
import { WebSocketProvider } from "@ethersproject/providers";
export type PersistentWebsocketConnection = {
    provider: WebSocketProvider;
    closeConnection: () => void;
};
export declare const openPersistentWebsocketRpcConnection: (url: string, network: Network, shouldLogStdout?: boolean, connectionId?: number) => PersistentWebsocketConnection;
