import { ethers } from "ethers";
import { ConvertQuoteRouteArgs, ConvertTransactionRouteArgs, RawQuote } from "../";
import { WeightInput } from "./weights";
export type Route = {
    weight: (input: WeightInput) => Promise<number>;
    quote: (input: ConvertQuoteRouteArgs) => Promise<RawQuote>;
    transaction: (input: ConvertTransactionRouteArgs) => Promise<ethers.PopulatedTransaction>;
};
declare const routes: Route[];
export default routes;
