import { ethers } from "ethers";
import { GraphQLClient } from "graphql-request/dist";
export type IndexedFxToken = {
    address: string;
    name: string;
    symbol: string;
    totalSupply: ethers.BigNumber;
    rate: ethers.BigNumber;
    decimals: number;
    isValid: boolean;
};
export default class FxTokenGraphClient {
    private client;
    constructor(client: GraphQLClient);
    query: (filter: any) => Promise<IndexedFxToken[]>;
    private getQueryString;
}
