import { getClaimAmount } from "../../rebates";
import { bnToNumber } from "../../../utils/general";
const NETWORK = "arbitrum";
export const fetchRebates = async (account) => {
    const claimable = await getClaimAmount(account, NETWORK);
    return [
        {
            symbol: "FOREX",
            amount: bnToNumber(claimable, 18),
        },
    ];
};
