import { ethers, Signer } from "ethers";
import { Rebates } from "../contracts";
import { Network } from "../types/network";
export declare const getFilters: (rebates: Rebates, account: string, token: string) => {
    rebateFilter: import("../contracts/Rebates").RebateEventFilter;
    claimFilter: import("../contracts/Rebates").ClaimRebateEventFilter;
};
export declare const addListener: (account: string, network: Network, callback: () => void, provider?: ethers.providers.Provider, token?: string) => Promise<void>;
export declare const removeListener: (account: string, network: Network, callback: () => void, provider?: ethers.providers.Provider, token?: string) => Promise<void>;
export declare const getClaimAmount: (account: string, network: Network, provider?: ethers.providers.Provider, token?: string) => Promise<ethers.BigNumber>;
export declare const claimRebates: (signer: Signer, network: Network, overrides?: ethers.Overrides, token?: string) => Promise<ethers.ContractTransaction>;
