import { BigNumber } from "ethers";
import { Network } from "../../../../../types/network";
import { GetTokenSpreadBasisPointsArgs } from "../../legacyInterface";
export type GetHlpTokenSpreadBasisPointsArgs = GetTokenSpreadBasisPointsArgs & {
    useCache?: boolean;
    network?: Network;
};
export declare const getTokenSpreadBasisPoints: ({ tokenAddress, useCache, network, }: GetHlpTokenSpreadBasisPointsArgs) => Promise<BigNumber>;
export declare const getAllTokenSpreadBasisPoints: (network?: "ethereum" | "arbitrum" | "polygon" | "arbitrum-sepolia", useCache?: boolean) => Promise<Record<string, BigNumber>>;
