import { BigNumber } from "ethers";
import { TokenFundingRate } from "../fundingRate";
import { PositionHlp } from "../tokens";
export declare const parseContractPosition: (contractPosition: [
    BigNumber,
    BigNumber,
    BigNumber,
    BigNumber,
    BigNumber,
    BigNumber,
    boolean,
    BigNumber
], collateralToken: string, indexToken: string, isLong: boolean, fundingRate: TokenFundingRate) => PositionHlp;
export declare const getReversedPositionHlp: (position: PositionHlp) => PositionHlp;
export declare const getActualPositionHlp: (position: PositionHlp) => PositionHlp;
export declare const isPositionHlpReversed: (position: PositionHlp) => boolean;
