import { ethers, } from "ethers";
/*
  This file includes interfaces for a trading platform.
  These should be implemented in the back-end abstraction in Trade/platforms.
  e.g. hLP trade, synths, etc.
*/
export const PRICE_DECIMALS = 30;
export const PRICE_UNIT = ethers.utils.parseUnits("1", PRICE_DECIMALS);
