import { ethers } from "ethers";
import { Network } from ".";
export declare const FIVE_MINUTES_MILLIS: number;
export declare const SECONDS_IN_A_YEAR_BN: ethers.BigNumber;
export declare const NETWORK_NAME_TO_CHAIN_ID: Record<Network, number>;
export declare const CHAIN_ID_TO_NETWORK_NAME: Record<number, Network>;
export declare const NETWORK_NAMES: ("ethereum" | "arbitrum" | "polygon" | "arbitrum-sepolia")[];
export declare const CURVE_FEE_DENOMINATOR = 10000000000;
export declare const BASIS_POINTS_DIVISOR = 10000;
export declare const H2SO_PRICE_DECIMALS = 8;
