import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { ERC2612, ERC2612Interface } from "../ERC2612";
export declare class ERC2612__factory {
    static readonly abi: ({
        anonymous: boolean;
        inputs: {
            indexed: boolean;
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
        outputs?: undefined;
        stateMutability?: undefined;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
        anonymous?: undefined;
    })[];
    static createInterface(): ERC2612Interface;
    static connect(address: string, signerOrProvider: Signer | Provider): ERC2612;
}
