import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { GlpOrderBookReader, GlpOrderBookReaderInterface } from "../GlpOrderBookReader";
export declare class GlpOrderBookReader__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): GlpOrderBookReaderInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): GlpOrderBookReader;
}
