import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { HlpManagerRouter, HlpManagerRouterInterface } from "../HlpManagerRouter";
export declare class HlpManagerRouter__factory {
    static readonly abi: ({
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
        name?: undefined;
        outputs?: undefined;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    } | {
        stateMutability: string;
        type: string;
        inputs?: undefined;
        name?: undefined;
        outputs?: undefined;
    })[];
    static createInterface(): HlpManagerRouterInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): HlpManagerRouter;
}
