import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { Reader, ReaderInterface } from "../Reader";
export declare class Reader__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ReaderInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): Reader;
}
