import { Signer } from "ethers";
import { Provider } from "@ethersproject/providers";
import type { VaultPriceFeed, VaultPriceFeedInterface } from "../VaultPriceFeed";
export declare class VaultPriceFeed__factory {
    static readonly abi: ({
        inputs: never[];
        stateMutability: string;
        type: string;
        name?: undefined;
        outputs?: undefined;
    } | {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    })[];
    static createInterface(): VaultPriceFeedInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): VaultPriceFeed;
}
