export const networks = [
    "ethereum",
    "arbitrum",
    "polygon",
    "arbitrum-sepolia",
];
export const singleCollateralVaultNetworks = ["polygon", "arbitrum"];
export const mainNetworks = ["arbitrum"];
export const referralsNetworks = ["arbitrum-sepolia"];
export const tradeNetworks = ["arbitrum", "arbitrum-sepolia"];
export const hlpNetworks = ["arbitrum"];
export const bridgeNetworks = ["ethereum", "arbitrum", "polygon"];
export const routerTransferProxyNetworks = [
    "arbitrum",
    "arbitrum-sepolia",
];
export const parseMainNetwork = (network) => {
    if (!isMainNetwork(network)) {
        throw new Error(`Invalid network: ${network}`);
    }
    return network;
};
export const isMainNetwork = (network) => mainNetworks.includes(network);
