import { ethers } from "ethers";
import { ChainId } from "@sushiswap/core-sdk";
import { KashiPoolConfig } from "../config";
import { FxToken } from "../types/fxTokens";
export default class KashiCooker {
    private pool;
    private account;
    private fxToken;
    private chainId;
    private actions;
    private values;
    private datas;
    private useNativeCollateral;
    constructor(pool: KashiPoolConfig, // add this back in once moved to sdk
    account: string, fxToken: FxToken, chainId: ChainId);
    addCollateral: (amount: ethers.BigNumber) => void;
    removeCollateral: (share: ethers.BigNumber) => void;
    borrow: (amount: ethers.BigNumber) => void;
    repay: (amount: ethers.BigNumber) => void;
    addAsset: (amount: ethers.BigNumber) => void;
    approve(signature: ethers.Signature): void;
    cook: (signer: ethers.Signer, options?: ethers.Overrides) => Promise<ethers.ContractTransaction>;
    private addAction;
}
