export declare const CACHE_DURATION_INFINITE = -1;
declare class CachedObject<T> {
    private value?;
    private readonly duration;
    private lastFetchedTime;
    constructor(duration: number);
    private get isExpired();
    get isAvailable(): boolean;
    fetch(fetcher: () => Promise<T>, forceFetch?: boolean): Promise<T>;
    get(): T;
}
export { CachedObject };
