export declare const fetchCacheApi: <T>(endpoint: string) => Promise<T>;
export declare const retryPromise: <T>(promise: () => Promise<T>, maxTries?: number, retryDelay?: number) => Promise<T>;
export declare const getCacheServerErrorMessage: () => string;
declare const _default: {
    log: (...args: any[]) => void;
    trace: (...args: any[]) => void;
};
export default _default;
