import { TokenInfo, TokenList } from "@uniswap/token-lists";
import { Network } from "../types/network";
export declare const isSameNetwork: (network1: Network | number, network2: Network | number) => boolean;
/**
 * validates a tokenList and returns it if it is valid, throws otherwise
 * @param tokenList the tokenList to validate
 * @returns the tokenList, if valid
 * @throws if the tokenList is not valid
 */
export declare const validateTokenList: (tokenList: any) => TokenList;
export declare const getTokenFromTokenList: (tokenList: TokenList, symbol: string, network: Network | number) => TokenInfo | undefined;
